summaryrefslogtreecommitdiff
path: root/dev-python/adblock
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/adblock
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/adblock')
-rw-r--r--dev-python/adblock/Manifest2
-rw-r--r--dev-python/adblock/adblock-0.6.0-r1.ebuild56
-rw-r--r--dev-python/adblock/files/adblock-0.6.0-maturin-0.14.13.patch16
-rw-r--r--dev-python/adblock/metadata.xml13
4 files changed, 87 insertions, 0 deletions
diff --git a/dev-python/adblock/Manifest b/dev-python/adblock/Manifest
new file mode 100644
index 000000000000..3a6699055ba2
--- /dev/null
+++ b/dev-python/adblock/Manifest
@@ -0,0 +1,2 @@
+DIST adblock-0.6.0-vendor.tar.xz 7754672 BLAKE2B 4e2e05b3cd40c5e20058dfb9f81fefed7f7dfc8e9ddbf10e5931da2f5c7866e81bc5c56a6e9f92629b11f19c2844dff1b8443c14e0b9ea1dab3ef10db936bedd SHA512 19a9c3b8911272993713e5f9035a96e6e98d24388c61c0e853114e6a119a5c9745b5bd66cb4fe390ec575892869b4fbeefa4c2b5b4cd44ca6e04ddf7d5a2fce0
+DIST adblock-0.6.0.gh.tar.gz 24976 BLAKE2B b6f109f71cbb01458141d6de4933665a8c93c87ec23750df0074d7453f5f17e8fda53255338c4ce50943aca12357944141d7edaca982a63faf169faeeedf5156 SHA512 c313483414539594c8836d83930e089ffdaba2e3ff032e4365428440ca357f84dbe82896873c93f5265ac05760006dac2b214728a7b16ab7f6bac4e30ff0a39f
diff --git a/dev-python/adblock/adblock-0.6.0-r1.ebuild b/dev-python/adblock/adblock-0.6.0-r1.ebuild
new file mode 100644
index 000000000000..5a7a58629c08
--- /dev/null
+++ b/dev-python/adblock/adblock-0.6.0-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{13..14} )
+inherit cargo distutils-r1
+
+DESCRIPTION="Python wrapper for Brave's adblocking library, which is written in Rust"
+HOMEPAGE="https://github.com/ArniDagur/python-adblock"
+SRC_URI="
+ https://github.com/ArniDagur/python-adblock/archive/refs/tags/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ https://distfiles.gentoo.org/pub/dev/ionen@gentoo.org/${P}-vendor.tar.xz
+"
+S=${WORKDIR}/python-${P}
+
+LICENSE="|| ( MIT Apache-2.0 )"
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT MPL-2.0
+ Unicode-DFS-2016
+" # crates
+SLOT="0"
+KEYWORDS="amd64 ~arm64 ~x86"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED=".*/adblock.*.so"
+
+DOCS=( CHANGELOG.md README.md )
+
+PATCHES=(
+ "${FILESDIR}"/${P}-maturin-0.14.13.patch
+)
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # unimportant (for us) test that uses the dir that we delete below
+ # so pytest does not try to load it while lacking extensions
+ tests/test_typestubs.py::test_functions_and_methods_exist_in_rust
+ # FileNotFound exception test that triggers a new assertion in
+ # python:3.13[debug], not an issue for normal usage (bug #931898)
+ tests/test_engine.py::test_serde_file
+ )
+ local EPYTEST_IGNORE=(
+ # not very meaningful here (e.g. validates changelog),
+ # and needs the deprecated dev-python/toml
+ tests/test_metadata.py
+ )
+
+ rm -rf adblock || die
+ epytest
+}
diff --git a/dev-python/adblock/files/adblock-0.6.0-maturin-0.14.13.patch b/dev-python/adblock/files/adblock-0.6.0-maturin-0.14.13.patch
new file mode 100644
index 000000000000..67df5270939c
--- /dev/null
+++ b/dev-python/adblock/files/adblock-0.6.0-maturin-0.14.13.patch
@@ -0,0 +1,16 @@
+These are unused by maturin since 0.14.0 (non-issue for us),
+and still having them is now fatal rather than a warning.
+--- a/Cargo.toml
++++ b/Cargo.toml
+@@ -11,11 +11,2 @@
+
+-[package.metadata.maturin]
+-classifier = [
+- "Programming Language :: Python",
+- "Programming Language :: Rust",
+- "License :: OSI Approved :: MIT License",
+- "License :: OSI Approved :: Apache Software License",
+-]
+-requires-python = ">=3.7"
+-
+ [profile.release]
diff --git a/dev-python/adblock/metadata.xml b/dev-python/adblock/metadata.xml
new file mode 100644
index 000000000000..c1e6fe7e455b
--- /dev/null
+++ b/dev-python/adblock/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>ionen@gentoo.org</email>
+ <name>Ionen Wolkens</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>steils@gentoo.org</email>
+ <name>Stefan Strogin</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>